ModifierGroupForMenuItem

The object describing all the modifier groups that can be applied to the selected combo

  • id
    Type: stringFormat: uuid
    required

    Modifier group UUID

  • name
    Type: string
    required

    Menu item modifier group name

  • max_selected
    Type: integer
    min:  
    1
    max:  
    99

    Constrain on maximum number of modifiers user can select in the given modifier group.

  • min_selected
    Type: integer
    min:  
    0

    Constrain on minimum number of modifiers user must select in the given modifier group.

  • modifiers
    Type: array object[] · ModifierForModifierGroup[]

    Collection of Modifiers available for the selected menu item (see Modifiers)

    • id
      Type: stringFormat: uuid
      required

      Modifier UUID

    • name
      Type: string
      required

      Modifier name

    • allergens
      Type: array object[] · Allergen[]
    • calories
      Type: integer | null

      Calories count specific to the selected modifier

    • image
      Type: object · ImageWithThumbnailSmall
    • is_preselected
      Type: boolean

      Indicator that shows if this modifier is preselected or not by default in the parent modifier group. This paramater is automatically added to the response by including "pivot" as part of the include query paramater.

    • price_by_order_type
      Type: integer
      min:  
      0

      Price for the given order type expressed in cents (divide by 100 to get decimal representation).

    • translations
      Type: object
  • translations
    Type: object
    • name
      Type: string

      Translated name of the modifier group

Examples
{
  "id": "8a698858-5063-41de-bf1a-92a9da0a3f3a",
  "name": "Modifier Group",
  "translations": {
    "name": "Modifier Group"
  },
  "min_selected": 0,
  "max_selected": 2,
  "modifiers": [
    {
      "id": "685a2edc-da1e-44c7-ba26-98f7804e10d1",
      "name": "Modifier",
      "translations": {
        "name": "Modifier"
      },
      "allergens": [
        {
          "id": "milk",
          "translated_name": "Milk"
        }
      ],
      "is_preselected": false,
      "price_by_order_type": 200,
      "calories": 300,
      "image": {
        "thumbnail_small": null
      }
    }
  ]
}